"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const kmeans = require("node-kmeans");
function run(points, clusters) {
    return __awaiter(this, void 0, void 0, function* () {
        if (points.length < clusters) {
            return points.map(point => {
                return [point];
            });
        }
        const results = yield clusterize(points, clusters);
        return results.map(result => result.cluster);
    });
}
exports.run = run;
function clusterize(points, clusters) {
    return new Promise((resolve, reject) => {
        kmeans.clusterize(points, { k: clusters }, (err, res) => {
            if (err) {
                reject(err);
            }
            else {
                resolve(res);
            }
        });
    });
}
//# sourceMappingURL=clusterizer.js.map