"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const PNG = require("pngjs").PNG;
class Png {
    constructor(path) {
        this.path = path;
        this.png = PNG.sync.read(fs.readFileSync(this.path));
    }
    get width() {
        return this.png.width;
    }
    get height() {
        return this.png.height;
    }
    save(path) {
        return __awaiter(this, void 0, void 0, function* () {
            const buffer = PNG.sync.write(this.png, { colorType: 6 });
            fs.writeFileSync(path, buffer);
        });
    }
    getPixel(x, y) {
        const i = (this.png.width * y + x) << 2;
        const data = this.png.data;
        const r = data[i];
        const g = data[i + 1];
        const b = data[i + 2];
        if (r === undefined || g === undefined || b === undefined) {
            return null;
        }
        return [r, g, b];
    }
    setPixel(x, y, r, g, b) {
        const i = (this.png.width * y + x) << 2;
        const data = this.png.data;
        if (r !== null) {
            data[i] = r;
        }
        if (g !== null) {
            data[i + 1] = g;
        }
        if (b !== null) {
            data[i + 2] = b;
        }
    }
}
exports.Png = Png;
//# sourceMappingURL=png.js.map