"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Path = require("path");
class Paths {
    constructor(srcCss, outDir, outHtml, leftBaseDir, rightBaseDir) {
        this.srcCss = srcCss;
        this.outDir = outDir;
        this.outHtml = outHtml;
        this.leftBaseDir = leftBaseDir;
        this.rightBaseDir = rightBaseDir;
        outHtml = outHtml || Path.join(outDir, "index.html");
        this.outCss = outDir && Path.join(outDir, "style.css");
    }
}
exports.Paths = Paths;
class FileDiff {
    constructor(left, right, rects) {
        this.left = left;
        this.right = right;
        this.rects = rects;
    }
    get type() {
        if (this.left && !this.right) {
            return "removed";
        }
        else if (!this.left && this.right) {
            return "added";
        }
        else if (this.rects.left.length + this.rects.right.length) {
            return "updated";
        }
        else {
            return "unchanged";
        }
    }
}
exports.FileDiff = FileDiff;
class Rect {
    constructor(left, top, right, bottom) {
        this.left = left;
        this.top = top;
        this.right = right;
        this.bottom = bottom;
    }
    get width() {
        return this.right - this.left;
    }
    get height() {
        return this.bottom - this.top;
    }
    shift(dx, dy) {
        return new Rect(this.left + dx, this.top + dy, this.right + dx, this.bottom + dy);
    }
}
exports.Rect = Rect;
//# sourceMappingURL=types.js.map